#include <QApplication>
#include <QMenuBar>
#include <QStatusBar>
#include <QTableWidget>
#include <QToolBar>
#include <QAction>
#include <QTableWidget>
#include <QGridLayout>
#include <QHeaderView>
#include <QMainWindow>
#include <QDebug>
#ifdef QT_DIAG_LIB
#  include <eventfilter.h>
#endif

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QStringList args = app.arguments();
    args.pop_front();
#ifdef QT_DIAG_LIB
    if (args.contains("-e")) {
        QtDiag::EventFilter::EventCategories cats
                = QtDiag::EventFilter::MouseEvents;
        app.installEventFilter(new QtDiag::EventFilter(cats, &app));
    }
#endif
    QMainWindow w;
    QString t = QT_VERSION_STR;
#if QT_VERSION >= 0x050000
    t += ' ' + QGuiApplication::platformName();
#endif
    w.setWindowTitle(t);
    qDebug() << t << args;
    QMenu *m = w.menuBar()->addMenu("File");
    QAction *a = m->addAction("Quit");
    QObject::connect(a, SIGNAL(triggered()), &app, SLOT(quit()));
    QToolBar *tb = new QToolBar("ToolBar " + t);
    tb->addAction(a);
    w.addToolBar(tb);

    QTableWidget *tw = new QTableWidget(3, 3);
    tw->setHorizontalHeaderLabels(QStringList() << "h1" << "h2" << "h3");
    tw->setVerticalHeaderLabels(QStringList() << "v1" << "v2"<< "v3");
    w.setCentralWidget(tw);

    w.move(300, 300);
    w.show();

    return app.exec();
}
